# std::swap(std::unordered_multimap)

From cppreference.com
< cpp‎ | container‎ | unordered multimap

template< class Key, class T, class Hash, class KeyEqual, class Alloc > void swap( unordered_multimap<Key,T,Hash,KeyEqual,Alloc>& lhs, unordered_multimap<Key,T,Hash,KeyEqual,Alloc>& rhs ); |  | (since C++11) (until C++17)
template< class Key, class T, class Hash, class KeyEqual, class Alloc > void swap( unordered_multimap<Key,T,Hash,KeyEqual,Alloc>& lhs, unordered_multimap<Key,T,Hash,KeyEqual,Alloc>& rhs ) noexcept(/* see below */); |  | (since C++17)

Specializes the std::swap algorithm for std::unordered_multimap. Swaps the contents of `lhs` and `rhs`. Calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | containers whose contents to swap

### Return value

(none)

### Complexity

Constant.

### Exceptions

`noexcept` specification: noexcept(noexcept(lhs.swap(rhs))) | (since C++17)

### See also

swap | swaps the contents (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multimap/swap2&oldid=50737"
Category:

- conditionally noexcept